$!-----------------------------------------------------------------------------
$! Builds SCRIPTING document for HTML, PostScript and Bookreader.
$!-----------------------------------------------------------------------------
$! WRITE SYS$OUTPUT "Building for Bookreader"
$! DOC SCRIPTING MANUAL.ONLINE BOOKREADER
$! SET PROT=W:RE SCRIPTING.DECW$BOOK;*
$ IF P1 .EQS. "POSTSCRIPT"
$ THEN
$    WRITE SYS$OUTPUT "Building PostScript"
$    DOC SCRIPTING MANUAL PS /CONT
$    SET PROT=W:RE SCRIPTING.PS;*
$ ELSE
$!   (designed around "AFPL Ghostscript 8.54 (2006-05-17)")
$    WRITE SYS$OUTPUT "Building PDF (via PostScript, requires GhostScript)"
$    DOC SCRIPTING MANUAL PS /CONT
$    TMPDIR = "[]"
$    GS "-sDEVICE=pdfwrite" "-sOutputFile=scripting.pdf" "-dNOPAUSE" "-dBATCH" SCRIPTING.PS
$    DELETE /LOG SCRIPTING.PS;*
$    DELETE /LOG _TEMP_*.*;*
$    SET PROT=W:RE SCRIPTING.PDF;*
$ ENDIF
$! WRITE SYS$OUTPUT "Building Text"
$! DOC SCRIPTING MANUAL MAIL /CONT
$! SET PROT=W:RE SCRIPTING*.TXT;*
$ WRITE SYS$OUTPUT "Building HTML"
$ SDM2HTM /FRAMED /INDEX SCRIPTING
$ SET PROT=W:RE *.HTML;*
$ DELETE *.TEX;*
$ DELETE *.DVI*;*
$!-----------------------------------------------------------------------------
